Open Inventory / Docs
EndpunkteInventory cyclesResourcesIdInventory counts

List an item's recent inventory counts

Die API läuft auf deiner Anwendungsinstanz. Schemas und Feldnamen stammen unverändert aus der OpenAPI-Spezifikation. Browsergebundene Aufrufe benötigen eine Sitzung auf der Instanz.

GET
/resources/{id}/inventory-counts

Authentifizierung

bearerAuth
headerAuthentifizierungBearer <inv_ token>

Pfadparameter

id*string
Formatuuid

Header-Parameter

X-Organization-ID?string

Organization membership selected for this request. User-bound credentials may select any active membership; standalone tokens may only repeat their pinned organization ID.

Formatuuid

Antwortinhalt

Up to 25 recent counts

application/json
  1. response
counts*array<>
Beispielanfrage
curl -X GET 'https://inventory.example.com/api/v1/resources/497f6eca-6276-4993-bfeb-53cbbbba6f08/inventory-counts'
Beispielantwort
{  "counts": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6",      "locationResourceId": "cad4fbcc-0e81-4c59-9f5c-423e9329e3ec",      "expectedQuantity": 0,      "countedQuantity": 0,      "variance": 0,      "countedAt": "2019-08-24T14:15:22Z",      "note": "string",      "movementId": "6d70aa0f-b438-487d-b073-0eb66eb6ab63",      "idempotencyKey": "0c14c6a6-6f50-4d1e-b0c4-b46ff43ba6a1",      "createdBy": "string",      "createdAt": "2019-08-24T14:15:22Z"    }  ]}